/*
* Copyright (c) 2012-2015 Christian Surlykke, Petr Vanek
*
* This file is part of lightdm-qt5-greeter 
* It is distributed under the LGPL 2.1 or later license.
* Please refer to the LICENSE file for a copy of the license.
*/
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QWidget>
#include <QLabel>

#include <QLightDM/Greeter>

#include "loginform.h"
#include "downloader.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QWidget
{
    Q_OBJECT

public:
    explicit MainWindow(int screen, QWidget *parent = 0);
    ~MainWindow();

    void setFocus(Qt::FocusReason reason);

    bool showLoginForm();

    LoginForm* loginForm() { return m_LoginForm;}
private:
    int getOffset(QString offset, int maxVal, int defaultVal);
    void setBackground();
    int m_Screen;
    LoginForm* m_LoginForm;
    QLabel* m_InfoLabel;
    QLabel* m_TeamLabel;
    Downloader *d;

private slots:
    void backgroundDownloaded(const QString& path);
    void showWrongPasswordLabel(bool forAutoLogin);
    void hideWrongPasswordLabel();
    void showContestcantBeLoaded(const QString& message);
    void hideErrors();
    void showDoNotMachine();
};

#endif // MAINWINDOW_H
